| Package | Description |
|---|---|
| org.apache.camel.builder.endpoint | |
| org.apache.camel.builder.endpoint.dsl |
| Modifier and Type | Method and Description |
|---|---|
static VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
StaticEndpointBuilders.vertxKafka(String path)
Vert.x Kafka (camel-vertx-kafka)
Sent and receive messages to/from an Apache Kafka broker using vert.x
Kafka client
Category: messaging
Since: 3.7
Maven coordinates: org.apache.camel:camel-vertx-kafka
Syntax:
vertx-kafka:topic
Path parameter: topic (required)
Name of the topic to use. |
static VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
StaticEndpointBuilders.vertxKafka(String componentName,
String path)
Vert.x Kafka (camel-vertx-kafka)
Sent and receive messages to/from an Apache Kafka broker using vert.x
Kafka client
Category: messaging
Since: 3.7
Maven coordinates: org.apache.camel:camel-vertx-kafka
Syntax:
vertx-kafka:topic
Path parameter: topic (required)
Name of the topic to use. |
| Modifier and Type | Method and Description |
|---|---|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.additionalProperties(Map values)
Sets additional properties for either kafka consumer or kafka
producer in case they can't be set directly on the camel
configurations (e.g: new Kafka properties that are not reflected yet
in Camel configurations), the properties have to be prefixed with
additionalProperties..
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.additionalProperties(String key,
Object value)
Sets additional properties for either kafka consumer or kafka
producer in case they can't be set directly on the camel
configurations (e.g: new Kafka properties that are not reflected yet
in Camel configurations), the properties have to be prefixed with
additionalProperties..
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.AdvancedVertxKafkaEndpointBuilder.basic() |
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.bootstrapServers(String bootstrapServers)
A list of host/port pairs to use for establishing the initial
connection to the Kafka cluster.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.clientDnsLookup(String clientDnsLookup)
Controls how the client uses DNS lookups.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.clientId(String clientId)
An id string to pass to the server when making requests.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.connectionsMaxIdleMs(long connectionsMaxIdleMs)
Close idle connections after the number of milliseconds specified by
this config.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.connectionsMaxIdleMs(String connectionsMaxIdleMs)
Close idle connections after the number of milliseconds specified by
this config.
|
static VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.endpointBuilder(String componentName,
String path) |
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.headerFilterStrategy(org.apache.camel.spi.HeaderFilterStrategy headerFilterStrategy)
To use a custom HeaderFilterStrategy to filter header to and from
Camel message.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.headerFilterStrategy(String headerFilterStrategy)
To use a custom HeaderFilterStrategy to filter header to and from
Camel message.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.interceptorClasses(String interceptorClasses)
A list of classes to use as interceptors.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.metadataMaxAgeMs(long metadataMaxAgeMs)
The period of time in milliseconds after which we force a refresh of
metadata even if we haven't seen any partition leadership changes to
proactively discover any new brokers or partitions.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.metadataMaxAgeMs(String metadataMaxAgeMs)
The period of time in milliseconds after which we force a refresh of
metadata even if we haven't seen any partition leadership changes to
proactively discover any new brokers or partitions.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.metricReporters(String metricReporters)
A list of classes to use as metrics reporters.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.metricsNumSamples(int metricsNumSamples)
The number of samples maintained to compute metrics.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.metricsNumSamples(String metricsNumSamples)
The number of samples maintained to compute metrics.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.metricsRecordingLevel(String metricsRecordingLevel)
The highest recording level for metrics.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.metricsSampleWindowMs(long metricsSampleWindowMs)
The window of time a metrics sample is computed over.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.metricsSampleWindowMs(String metricsSampleWindowMs)
The window of time a metrics sample is computed over.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.partitionId(Integer partitionId)
The partition to which the record will be sent (or null if no
partition was specified) or read from a particular partition if set.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.partitionId(String partitionId)
The partition to which the record will be sent (or null if no
partition was specified) or read from a particular partition if set.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.receiveBufferBytes(int receiveBufferBytes)
The size of the TCP receive buffer (SO_RCVBUF) to use when reading
data.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.receiveBufferBytes(String receiveBufferBytes)
The size of the TCP receive buffer (SO_RCVBUF) to use when reading
data.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.reconnectBackoffMaxMs(long reconnectBackoffMaxMs)
The maximum amount of time in milliseconds to wait when reconnecting
to a broker that has repeatedly failed to connect.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.reconnectBackoffMaxMs(String reconnectBackoffMaxMs)
The maximum amount of time in milliseconds to wait when reconnecting
to a broker that has repeatedly failed to connect.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.reconnectBackoffMs(long reconnectBackoffMs)
The base amount of time to wait before attempting to reconnect to a
given host.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.reconnectBackoffMs(String reconnectBackoffMs)
The base amount of time to wait before attempting to reconnect to a
given host.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.requestTimeoutMs(int requestTimeoutMs)
The configuration controls the maximum amount of time the client will
wait for the response of a request.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.requestTimeoutMs(String requestTimeoutMs)
The configuration controls the maximum amount of time the client will
wait for the response of a request.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.retryBackoffMs(long retryBackoffMs)
The amount of time to wait before attempting to retry a failed
request to a given topic partition.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.retryBackoffMs(String retryBackoffMs)
The amount of time to wait before attempting to retry a failed
request to a given topic partition.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.saslClientCallbackHandlerClass(String saslClientCallbackHandlerClass)
The fully qualified name of a SASL client callback handler class that
implements the AuthenticateCallbackHandler interface.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.saslJaasConfig(String saslJaasConfig)
JAAS login context parameters for SASL connections in the format used
by JAAS configuration files.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.saslKerberosKinitCmd(String saslKerberosKinitCmd)
Kerberos kinit command path.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.saslKerberosMinTimeBeforeRelogin(long saslKerberosMinTimeBeforeRelogin)
Login thread sleep time between refresh attempts.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.saslKerberosMinTimeBeforeRelogin(String saslKerberosMinTimeBeforeRelogin)
Login thread sleep time between refresh attempts.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.saslKerberosServiceName(String saslKerberosServiceName)
The Kerberos principal name that Kafka runs as.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.saslKerberosTicketRenewJitter(double saslKerberosTicketRenewJitter)
Percentage of random jitter added to the renewal time.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.saslKerberosTicketRenewJitter(String saslKerberosTicketRenewJitter)
Percentage of random jitter added to the renewal time.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.saslKerberosTicketRenewWindowFactor(double saslKerberosTicketRenewWindowFactor)
Login thread will sleep until the specified window factor of time
from last refresh to ticket's expiry has been reached, at which time
it will try to renew the ticket.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.saslKerberosTicketRenewWindowFactor(String saslKerberosTicketRenewWindowFactor)
Login thread will sleep until the specified window factor of time
from last refresh to ticket's expiry has been reached, at which time
it will try to renew the ticket.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.saslLoginCallbackHandlerClass(String saslLoginCallbackHandlerClass)
The fully qualified name of a SASL login callback handler class that
implements the AuthenticateCallbackHandler interface.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.saslLoginClass(String saslLoginClass)
The fully qualified name of a class that implements the Login
interface.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.saslLoginRefreshBufferSeconds(short saslLoginRefreshBufferSeconds)
The amount of buffer time before credential expiration to maintain
when refreshing a credential, in seconds.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.saslLoginRefreshBufferSeconds(String saslLoginRefreshBufferSeconds)
The amount of buffer time before credential expiration to maintain
when refreshing a credential, in seconds.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.saslLoginRefreshMinPeriodSeconds(short saslLoginRefreshMinPeriodSeconds)
The desired minimum time for the login refresh thread to wait before
refreshing a credential, in seconds.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.saslLoginRefreshMinPeriodSeconds(String saslLoginRefreshMinPeriodSeconds)
The desired minimum time for the login refresh thread to wait before
refreshing a credential, in seconds.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.saslLoginRefreshWindowFactor(double saslLoginRefreshWindowFactor)
Login refresh thread will sleep until the specified window factor
relative to the credential's lifetime has been reached, at which time
it will try to refresh the credential.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.saslLoginRefreshWindowFactor(String saslLoginRefreshWindowFactor)
Login refresh thread will sleep until the specified window factor
relative to the credential's lifetime has been reached, at which time
it will try to refresh the credential.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.saslLoginRefreshWindowJitter(double saslLoginRefreshWindowJitter)
The maximum amount of random jitter relative to the credential's
lifetime that is added to the login refresh thread's sleep time.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.saslLoginRefreshWindowJitter(String saslLoginRefreshWindowJitter)
The maximum amount of random jitter relative to the credential's
lifetime that is added to the login refresh thread's sleep time.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.saslMechanism(String saslMechanism)
SASL mechanism used for client connections.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.securityProtocol(String securityProtocol)
Protocol used to communicate with brokers.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.securityProviders(String securityProviders)
A list of configurable creator classes each returning a provider
implementing security algorithms.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.sendBufferBytes(int sendBufferBytes)
The size of the TCP send buffer (SO_SNDBUF) to use when sending data.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.sendBufferBytes(String sendBufferBytes)
The size of the TCP send buffer (SO_SNDBUF) to use when sending data.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.sslCipherSuites(String sslCipherSuites)
A list of cipher suites.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.sslEnabledProtocols(String sslEnabledProtocols)
The list of protocols enabled for SSL connections.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.sslEndpointIdentificationAlgorithm(String sslEndpointIdentificationAlgorithm)
The endpoint identification algorithm to validate server hostname
using server certificate.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.sslEngineFactoryClass(String sslEngineFactoryClass)
The class of type
org.apache.kafka.common.security.auth.SslEngineFactory to provide
SSLEngine objects.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.sslKeymanagerAlgorithm(String sslKeymanagerAlgorithm)
The algorithm used by key manager factory for SSL connections.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.sslKeyPassword(String sslKeyPassword)
The password of the private key in the key store file.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.sslKeystoreLocation(String sslKeystoreLocation)
The location of the key store file.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.sslKeystorePassword(String sslKeystorePassword)
The store password for the key store file.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.sslKeystoreType(String sslKeystoreType)
The file format of the key store file.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.sslProtocol(String sslProtocol)
The SSL protocol used to generate the SSLContext.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.sslProvider(String sslProvider)
The name of the security provider used for SSL connections.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.sslSecureRandomImplementation(String sslSecureRandomImplementation)
The SecureRandom PRNG implementation to use for SSL cryptography
operations.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.sslTrustmanagerAlgorithm(String sslTrustmanagerAlgorithm)
The algorithm used by trust manager factory for SSL connections.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.sslTruststoreLocation(String sslTruststoreLocation)
The location of the trust store file.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.sslTruststorePassword(String sslTruststorePassword)
The password for the trust store file.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder.sslTruststoreType(String sslTruststoreType)
The file format of the trust store file.
|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaBuilders.vertxKafka(String path)
Vert.x Kafka (camel-vertx-kafka)
Sent and receive messages to/from an Apache Kafka broker using vert.x
Kafka client
Category: messaging
Since: 3.7
Maven coordinates: org.apache.camel:camel-vertx-kafka
Syntax:
vertx-kafka:topic
Path parameter: topic (required)
Name of the topic to use. |
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
VertxKafkaEndpointBuilderFactory.VertxKafkaBuilders.vertxKafka(String componentName,
String path)
Vert.x Kafka (camel-vertx-kafka)
Sent and receive messages to/from an Apache Kafka broker using vert.x
Kafka client
Category: messaging
Since: 3.7
Maven coordinates: org.apache.camel:camel-vertx-kafka
Syntax:
vertx-kafka:topic
Path parameter: topic (required)
Name of the topic to use. |
Apache Camel